--- old/usr/src/man/man1m/itu.1m	Thu May 10 17:29:51 2012
+++ /dev/null	Thu May 10 17:26:49 2012
@@ -1,321 +0,0 @@
-'\" te
-.\" Copyright (c) 2008, Sun Microsystems, Inc. All Rights Reserved
-.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
-.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH ITU 1M "Sep 23, 2009"
-.SH NAME
-itu \- convert packages to Driver Update format and patch Solaris install media
-for Install Time Update
-.SH SYNOPSIS
-.LP
-.nf
-\fBitu makedu\fR \fB-r\fR \fIsolaris_release\fR [\fB-v\fR] [\fB-f\fR] [\fB-d\fR \fIoutput_dir\fR] [\fB-o\fR \fIiso_file\fR]
-     [\fB-l\fR \fIiso_label\fR] \fIpackage\fR [\fIpackage\fR...]
-.fi
-
-.LP
-.nf
-\fBitu updatemedia\fR \fB-R\fR \fImedia_root\fR [\fB-v\fR] [\fB-f\fR] [\fB-o\fR \fIiso_file\fR]
-     [\fB-l\fR \fIiso_label\fR] \fIpkg\fR [\fIpkg\fR...]
-.fi
-
-.LP
-.nf
-\fBitu makeiso\fR \fB-o\fR \fIiso_file\fR [\fB-v\fR] [\fB-l\fR \fIiso_label\fR] \fImedia_root\fR
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBitu\fR utility converts driver packages to Driver Update (DU) format and
-patches a Solaris install media with driver packages for Install Time Update
-(ITU). \fBitu\fR has three subcommands: \fBmakedu\fR, \fBupdatemedia\fR and
-\fBmakeiso\fR.
-.SH OPTIONS
-.sp
-.LP
-The following options are supported:
-.sp
-.ne 2
-.na
-\fB\fB-d\fR \fIoutput_dir\fR\fR
-.ad
-.sp .6
-.RS 4n
-Directory where the Driver Update directory is to be created.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-f\fR\fR
-.ad
-.sp .6
-.RS 4n
-If \fIoutput_dir\fR/DU or \fIiso_file\fR already exists, remove it without
-asking first.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-l\fR \fIiso_label\fR\fR
-.ad
-.sp .6
-.RS 4n
-Label/volume name of the ISO image (if \fB-o\fR option is specified).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-o\fR \fIiso_file\fR\fR
-.ad
-.sp .6
-.RS 4n
-Path of the ISO image file to be created. For subcommands \fBupdatemedia\fR and
-\fBmakeiso\fR, it will be a bootable ISO image. This option must be specified
-for subcommand \fBmakeiso\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-R\fR \fImedia_root\fR\fR
-.ad
-.sp .6
-.RS 4n
-Top-level directory of on-disk image of Solaris installation media. This option
-must be specified for subcommand \fBupdatemedia\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-r\fR \fIsolaris_release\fR\fR
-.ad
-.sp .6
-.RS 4n
-Solaris release number for which the Driver Update is intended. It takes the
-form of the output of \fBuname\fR \fB-r\fR, for example, \fB5.10\fR. This
-option must be specified for subcommand \fBmakedu\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-v\fR\fR
-.ad
-.sp .6
-.RS 4n
-Verbose. Multiple \fB-v\fR options increase verbosity.
-.RE
-
-.SH SUB-COMMANDS
-.sp
-.LP
-The \fBitu\fR subcommands are described as follows.
-.SS "\fBmakedu\fR"
-.sp
-.LP
-The \fBmakedu\fR subcommand takes one or more driver packages as input and
-converts them to DU format. At the beginning of an interactive Solaris
-installation session, these driver updates can be applied to the running
-kernel, which will then also automatically apply them to the newly installed
-Solaris at the end of the installation process.
-.sp
-.LP
-The \fB-r\fR option is required to specify the Solaris release number for which
-the driver updates apply. The \fIsolaris_release\fR option argument takes the
-form \fBuname\fR \fB-r\fR output, for example, \fB5.10\fR or \fB5.11\fR.
-.sp
-.LP
-If the \fB-d\fR option is specified, the resulting DU directory tree is placed
-in the directory \fIoutput_dir\fR.
-.sp
-.LP
-If the \fB-o\fR option is specified, a (non-bootable) ISO image of the DU
-directory tree is written in the file \fIiso_file\fR. This ISO image can be
-burned onto a CD/DVD using \fBcdrw\fR(1) or \fBcdrecord(1)\fR (not a SunOS man
-page). See the "Examples" section below for an example of creating a DU on a
-floppy.
-.sp
-.LP
-At least one of \fB-d\fR and \fB-o\fR option must be specified. If both are
-specified, then both an ISO image and a directory tree are generated.
-.SS "\fBupdatemedia\fR"
-.sp
-.LP
-The \fBupdatemedia\fR subcommand takes a list of driver packages as input and
-applies them to the miniroot of a Solaris install media. It also places them in
-a subdirectory called \fBITUs\fR under the Solaris install media's top-level
-directory:
-.sp
-.in +2
-.nf
-\fImedia_root\fR/ITUs
-.fi
-.in -2
-.sp
-
-.sp
-.LP
-When booting a system from the updated media, the  packages will be part of the
-booted Solaris image. They will also be applied to the target system being
-installed at the end of the installation process.
-.sp
-.LP
-The \fB-R\fR option must be entered on the command line to specify the Solaris
-install media. Note that the install media must be on a location that is
-writable by \fBitu\fR.
-.sp
-.LP
-If the \fB-o\fR option is specified, a bootable ISO image of the patched
-install media is also created in the file \fIiso_file\fR. The ISO image can
-then be burned onto a CD or DVD.
-.SS "\fBmakeiso\fR"
-.sp
-.LP
-The \fBmakeiso\fR subcommand runs \fBmkisofs(8)\fR to create a bootable Solaris
-ISO image of the Solaris install media \fImedia_root\fR and writes it to the
-file \fIiso_file\fR. The ISO image file can then be burned onto a CD or DVD
-with utilities such as \fBcdrw\fR(1) or \fBcdrecord(1)\fR. (Note that
-\fBmkisofs(8)\fR and \fBcdrecord(1)\fR are not SunOS man pages.)
-.LP
-Caution -
-.sp
-.RS 2
-The Solaris install media \fImedia-root\fR must contain the file
-\fBboot/grub/stage2_eltorito\fR, which will be written to the media boot
-sectors. This file will be modified with some boot information, thus it has to
-be writable. If necessary, first save a copy, prior to running this subcommand.
-.RE
-.SH OPERANDS
-.sp
-.LP
-The following operands are supported:
-.sp
-.ne 2
-.na
-\fB\fIpackage\fR [\fIpackage\fR...]\fR
-.ad
-.sp .6
-.RS 4n
-One or more driver packages.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fIpkg\fR [\fIpkg\fR...]\fR
-.ad
-.sp .6
-.RS 4n
-One or more packages.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fImedia_root\fR\fR
-.ad
-.sp .6
-.RS 4n
-The top-level directory of a Solaris install media.
-.RE
-
-.SH EXAMPLES
-.LP
-\fBExample 1 \fRCreating a DU CD/DVD
-.sp
-.LP
-The following commands create a Driver Update CD/DVD containing the packages
-\fBSAMPLEpkg1\fR and \fBSAMPLEpkg2\fR.
-
-.sp
-.in +2
-.nf
-# \fBitu makedu -r 5.10 -o my.iso SAMPLEpkg1 SAMPLEpkg2\fR
-# \fBcdrw -i my.iso\fR
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 2 \fRCreating a DU Floppy
-.sp
-.LP
-The following commands create a Driver Update floppy containing the driver
-package \fBMYdriver\fR.
-
-.sp
-.in +2
-.nf
-# \fBrmformat -F quick /dev/rdiskette\fR
-# \fBmkfs -F pcfs /dev/rdiskette\fR
-# \fBmount -F pcfs /dev/diskette /mnt\fR
-# \fB/usr/bin/itu makedu -r 5.10 -d /mnt /export/MYdriver\fR
-# \fBumount /mnt\fR
-# \fBdd if=/dev/rdiskette of=floppy.dd\fR
-.fi
-.in -2
-.sp
-
-.sp
-.LP
-The \fBitu\fR command above creates the DU directly onto the floppy mounted on
-\fB/mnt\fR. The \fBdd\fR invocation stores an image of the floppy in the file
-\fBfloppy.dd\fR. This is useful for distributing a DU floppy in file form. From
-the file, the floppy can then be recreated as follows:
-
-.sp
-.in +2
-.nf
-# \fBdd if=floppy.dd of=/dev/rdiskette\fR
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 3 \fRCreating a Bootable ISO Image
-.sp
-.LP
-The following commands create the bootable ISO image \fBmydvd.iso\fR of the
-Solaris install image \fB/export/solaris-10u1\fR with ISO label
-"\fBSpecial-S10\fR".
-
-.sp
-.in +2
-.nf
-# \fB/usr/bin/itu makeiso -o mydvd.iso -l "Special-S10" \e
-     /export/solaris-10u1\fR
-# \fBcdrw -i mydvd.iso\fR
-.fi
-.in -2
-.sp
-
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Committed
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBcdrw\fR(1), \fBpkgadd\fR(1M), \fBattributes\fR(5)
-.sp
-.LP
-\fBmkisofs(8)\fR, (\fB/usr/share/man/man8/mkisofs.8\fR), in the
-\fBSUNWfsman\fR package (not a SunOS man page)
